# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGLUT/GLUTWindow.hpp File Reference

`#include "vl/OpenGLContext.hpp"`
`#include "vl/Vector4.hpp"`
`#include <map>`
`#include <cstdlib>`
`#include <GL/freeglut.h>`

## Classes

class | vlGLUT::GLUTWindow
| The GLUTWindow class implements an OpenGLContext using the GLUT API. More...

## Namespaces

namespace | vlut
| Visualization Library utility namespace.

namespace | vlGLUT
| The GLUT bindings namespace.

## Functions

void | vlGLUT::atexit_visualization_library_shutdown ()

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.